From 152d9c48a29685752ce06a0248a3f0f490c5660a Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 17 Mar 2023 10:29:06 +0100
Subject: [PATCH] Update the NetBSD system call table to add eventfd(2) and
 timerfd(2).

Generated from sys/sys/syscall.h revision 1.321.
---
 gdb/syscalls/netbsd.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gdb/syscalls/netbsd.xml b/gdb/syscalls/netbsd.xml
index deaae50c446..2c90a62cece 100644
--- a/gdb/syscalls/netbsd.xml
+++ b/gdb/syscalls/netbsd.xml
@@ -182,6 +182,9 @@
   <syscall name="pwrite" number="174"/>
   <syscall name="compat_30_ntp_gettime" number="175"/>
   <syscall name="ntp_adjtime" number="176"/>
+  <syscall name="timerfd_create" number="177"/>
+  <syscall name="timerfd_settime" number="178"/>
+  <syscall name="timerfd_gettime" number="179"/>
   <syscall name="setgid" number="181"/>
   <syscall name="setegid" number="182"/>
   <syscall name="seteuid" number="183"/>
@@ -258,6 +261,7 @@
   <syscall name="mq_receive" number="264"/>
   <syscall name="compat_50_mq_timedsend" number="265"/>
   <syscall name="compat_50_mq_timedreceive" number="266"/>
+  <syscall name="eventfd" number="267"/>
   <syscall name="__posix_rename" number="270"/>
   <syscall name="swapctl" number="271"/>
   <syscall name="compat_30_getdents" number="272"/>
-- 
2.31.1

